
.. _ch_register_cli:

ch_register
***********







.. rubric:: Output of :code:`--help=ch_register`



The following help text is generated by :code:`ecflow_client --help=ch_register`

::

   
   ch_register
   -----------
   
   Register interest in a set of suites.
   If a definition has lots of suites, but the client. is only interested in a small subset,
   Then using this command can reduce network bandwidth and synchronisation will be quicker.
   This command will create a client handle, which must be used for any other changes.
   The newly created handle can be shown with the --ch_suites command
   Deleted suites will stay registered, and must be explicitly removed/dropped.
   Note: Suites can be registered before they are loaded into the server
   This command affects news() and sync() commands
      arg1 = true | false           # true means add new suites to my list, when they are created
      arg2 = names                  # should be a list of suite names, names not in the definition are ignored
   Usage:
      --ch_register=true s1 s2 s3   # register interest in suites s1,s2,s3 and any new suites
      --ch_register=false s1 s2 s3  # register interest in suites s1,s2,s3 only
      --ch_register=false           # register handle, suites will be added later on
      --ch_register=1 true s1 s2 s3 # drop handle 1 then register interest in suites s1,s2,s3 and any new suites
                                    # The client handle as the first argument is typically used by GUI/python                                 # When the client handle is no zero, then it is dropped first
   To list all suites and handles use --ch_suites
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

